### Struct

# GtkCssSection

#### Description [src]

    struct GtkCssSection {
      /* No available fields */
    }

Defines a part of a CSS document.

Because sections are nested into one another, you can use `gtk_css_section_get_parent()` to get the containing region.

#### Constructors

###### gtk_css_section_new

Creates a new `GtkCssSection` referring to the section in the given `file` from the `start` location to the `end` location.

#### Instance methods

###### gtk_css_section_get_end_location

Returns the location in the CSS document where this section ends.

###### gtk_css_section_get_file

Gets the file that `section` was parsed from.

###### gtk_css_section_get_parent

Gets the parent section for the given `section`.

###### gtk_css_section_get_start_location

Returns the location in the CSS document where this section starts.

###### gtk_css_section_print

Prints the `section` into `string` in a human-readable form.

###### gtk_css_section_ref

Increments the reference count on `section`.

###### gtk_css_section_to_string

Prints the section into a human-readable text form using `gtk_css_section_print()`.

###### gtk_css_section_unref

Decrements the reference count on `section`, freeing the structure if the reference count reaches 0.